#include "__PLUGIN_NAME__ImageFilterPluginFactory.h"
#include "__PLUGIN_NAME__ImageFilterPlugin.h"

#include <QtPlugin>

__PLUGIN_NAME__ImageFilterPluginFactory::__PLUGIN_NAME__ImageFilterPluginFactory()
{
}

__PLUGIN_NAME__ImageFilterPluginFactory::~__PLUGIN_NAME__ImageFilterPluginFactory()
{
}

ritk::FilterPlugin*
__PLUGIN_NAME__ImageFilterPluginFactory::CreateInstance()
{
	return new __PLUGIN_NAME__ImageFilterPlugin();
}

QString
__PLUGIN_NAME__ImageFilterPluginFactory::GetName()
{
	return tr("__PLUGIN_NAME__");
}

QString
__PLUGIN_NAME__ImageFilterPluginFactory::GetDescription()
{
	return tr("__PLUGIN_DESCRIPTION__");
}


Q_EXPORT_PLUGIN2(__PLUGIN_NAME__Filter, __PLUGIN_NAME__ImageFilterPluginFactory)

